package ab;

public class BMSupervisor {
	
	private double totalPrecision = 0.0;
	private double totalRecall = 0.0;
	private int precisionCounter = 0;
	private int recallCounter = 0;
	private long totalTime = 0;
	private int timeCounter = 0;
	
	public BMSupervisor(){
		
	}
	
	public void addPrecision(double precision){
		totalPrecision += precision;
		precisionCounter += 1;
	}
	
	public void addRecall(double recall){
		totalRecall += recall;
		recallCounter += 1;
	}
	
	public void addTime(long time){
		totalTime += time;
		timeCounter += 1;
	}
	
	public double getPrecision(){
		return totalPrecision / precisionCounter;
	}
	
	public double getRecall(){
		return totalRecall / recallCounter;
	}
	
	public long getTime(){
		return (totalTime / timeCounter)/1000000;
	}
	
	public void reset(){
		totalPrecision = 0.0;
		totalRecall = 0.0;
		recallCounter = 0;
		precisionCounter = 0;
		totalTime = 0;
		timeCounter = 0;
	}

}
